KABCCLIENT(1)

NAMN
kabcclient - Kommandoradsklient för KDE:s adressbok

SYNOPSIS

kabcclient [[-A] | [-R] | [-M] | [-S] | [-L]] [--match-case] [--nosave] [-ic avkodare] [-if format] [-if-opts formatalternativ] [-oc kodare] [-of format] [-of-opts formatalternativ] [indata]

BESKRIVNING

kabcclient möjliggör åtkomst av KDE:s adressbok från kommandoraden, till exempel i skalskript. Det stöder indata från standardinmatningen eller via ytterligare kommandoradsväljare. Utdata skrivs alltid till standardutmatningen.

VÄLJARE

Användningssätt

    -A, --add
        Lägger till en ny kontaktpost i adressboken

    -R, --remove
        Tar bort en befintlig kontaktpost från adressboken

    -M, --merge
        Sammanfogar indata med en befintlig kontaktpost i adressboken. Det lägger till eventuell ny information till den som redan finns

    -S, --search
        Söker i adressboken efter motsvarande kontaktposter

    -L, --list
        Listar alla kontaktposter i adressboken

Indataväljare

    -ic, --input-codec
        Skicka indatatext via en angiven textavkodare. Se -ichelp för ytterligare information om avkodare av indata. Förval är local som använder avkodaren för nuvarande inställning av locale(5)

    -if, --input-format
        Tolkar indatatexten enligt angivna formateringsregler. Se -if help för tillgängliga format. Förval är search

    Istället för att läsa indatatext kan kabcclient visa en dialogruta för att välja kontakter med indataformatet
        dialog

    -if-opts, --input-format-options
        Ytterligare väljare för det valda indataformatet. Kan vara valfria eller nödvändiga beroende på formatet. Se -if-opts help för tillgängliga formatväljare

Utdataväljare

    -oc, --output-codec
        Skicka utdatatext via en angiven textkodare. Se -ochelp för ytterligare information om kodare av utdata. Förval är local som använder kodaren för nuvarande inställning av locale(5).

    -of, --output-format
        Formaterar utdatatexten enligt angivna formateringsregler. Se -of help för tillgängliga format. Förval är vcard

    -of-opts, --output-format-options
        Ytterligare väljare för det valda utdataformatet. Kan vara valfria eller nödvändiga beroende på formatet. Se -of-opts help för tillgängliga formatväljare

Ytterligare väljare

    --match-case
        Använd skiftlägeskänslig textmatchning vid jämförelse av indatatext med kontaktposter

    --nosave
        Utför bara åtgärder som ändrar information, liksom -A, -R eller -M, i minnet, men skriv inte tillbaka ändringarna i adressboken

DIAGNOSTIK

Som vanligt anger avslutningsstatus noll att programmet lyckades. Beroende på valt åtgärdsläge anger en avslutningsstatus skild från noll ett visst problem som programmet stötte på

ADD

    1
        Läsning av indatatexten misslyckades

    2
        Att skapa en lämplig kontaktpost från indatatexten misslyckades, t.ex. ingen data eller felformaterad indata för det valda indataformatet

    3
        Att spara ändringarna i adressboken misslyckades. Det kan exempelvis orsakas av andra program som för närvarande har låst adressboken.

REMOVE

    1
        Läsning av indatatexten misslyckades

    2
        Programmet kunde inte ta bort någon kontaktpost från adressboken. Det kan orsakas av att tolkning av indatatexten misslyckades, att en motsvarande kontaktpost inte hittades i adressboken eller att mer än en motsvarande kontaktpost hittades i adressboken. I det senare fallet skrivs ett felmeddelande ut på standardfelutmatningen

    3
        Att spara ändringarna i adressboken misslyckades. Det kan exempelvis orsakas av andra program som för närvarande har låst adressboken.

MERGE

    1
        Läsning av indatatexten misslyckades

    2
        Programmet kunde inte sammanfoga indata med någon kontaktpost i adressboken. Det kan orsakas av att tolkning av indatatexten misslyckades, att en motsvarande kontaktpost inte hittades i adressboken eller att mer än en motsvarande kontaktpost hittades i adressboken. I det senare fallet skrivs ett felmeddelande ut på standardfelutmatningen

    3
        Att spara ändringarna i adressboken misslyckades. Det kan exempelvis orsakas av andra program som för närvarande har låst adressboken.

    SEARCH, 1
        Läsning av indatatexten misslyckades

    2
        Programmet kunde inte hitta någon motsvarande kontaktpost i adressboken. Det kan orsakas av att tolkning av indatatexten misslyckades eller att en motsvarande kontaktpost inte hittades i adressboken

EXEMPEL

Sök efter kontaktposter med Anna antingen i namn eller e-postadresser

    kabcclient -S Anna

Gör samma sak, men använd skiftlägeskänslig sökning

    kabcclient --match-case -S Anna

Gör samma sak, men läs indatatexten från standardinmatningen

    echo "Anna" | kabcclient --match-case -S

Försök lägga till en ny kontaktpost med data från en formaterad e-postadress

    kabcclient --nosave --add -if email "Marilyn Monroe <mmonroe@moviestars.com>"

Gör samma sak med spara verkligen den ändrade adressboken denna gången

    kabcclient --add -if email "Marilyn Monroe <mmonroe@moviestars.com>"

Listar tillgängliga indataformat

    kabcclient -if help

Listar tillgängliga utdataformat

    kabcclient -of help

Listar tillgängliga alternativ för utdataformatet 'email'

    kabcclient -of email -of-opts help

Listar alla e-postadresser för alla kontakter som innehåller 'Marilyn'

    kabcclient -of email -of-opts allemails -S Marilyn

Tar bort alla kontakter som användaren markerat i dialogrutan för kontaktval

    kabcclient --remove -if dialog

Exportera markerade kontakter till en vCard-fil (förvalt utdataformat)

    kabcclient -S -if dialog > kontakter.vcf

UPPHOVSMAN

Manualsidan är skriven av Kevin Krammer <kevin.krammer@gmx.at>. Rättighet ges att kopiera, distribuera och/eller ändra dokumentet enligt villkoren i GNU General Public License, version 2 eller en senare version publicerad av Free Software Foundation.

På Debian-system finns den fullständiga texten för GNU General Public License i /usr/share/common-licenses/GPL.

AUTHOR

Kevin Krammer <kevin.krammer@gmx.at>
    Upphovsman